Package com.collabnet.ce.soap60.webservices.cemain

# Class ObjectSoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

Direct Known Subclasses:
  `DocumentFolderFieldSoapDOMarshaler`, `DocumentReviewSoapDOMarshaler`, `FolderSoapDOMarshaler`, `IntegratedAppResourceBundleSoapDOMarshaler`, `ItemSoapDOMarshaler`, `MonitoringSubscriptionSoapDOMarshaler`, `PluggableComponent2SoapDOMarshaler`, `PluggableComponent3SoapDOMarshaler`, `PluggableComponent4SoapDOMarshaler`, `PluggableComponent5SoapDOMarshaler`, `PluggableComponentParameterSoapDOMarshaler`, `PluggableComponentParameterValueSoapDOMarshaler`, `PluggableComponentSoapDOMarshaler`, `PluggablePermissionSoapDOMarshaler`, `ProjectGroupSoapDOMarshaler`, `ProjectSoapDOMarshaler`, `RelationshipSoapDOMarshaler`, `RoleSoapDOMarshaler`, `TeamSoapDOMarshaler`, `TrackerField2SoapDOMarshaler`, `TrackerFieldSoapDOMarshaler`, `User2SoapDOMarshaler`, `UserGroupSoapDOMarshaler`, `UserSoapDOMarshaler`

public abstract class ObjectSoapDOMarshaler extends AbstractStatelessSoapMarshaler
Provides support for marshaling/unmarshaling ObjectSoapDO members to ObjectDO members.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectSoapDOMarshaler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static com.collabnet.ctf.service.core.CoreService`
  `getCoreService()`
  Returns the Core Service
  `protected void`
  `protectedRmiToSoap(Object soapObject, Object rmiObject)`
  Unmarshals data from an rmi object to a given SOAP object.
  `protected void`
  `protectedSoapToRmi(Object soapObject, Object rmiObject)`
  Marshals data from a soap object to a given rmi object.

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.collabnet.ce.soap60.marshaling.SoapMarshaler

  `rmiToSoap, soapToRmi`

- ## Constructor Details

  - ### ObjectSoapDOMarshaler

    public ObjectSoapDOMarshaler()

- ## Method Details

  - ### protectedSoapToRmi

    protected void protectedSoapToRmi(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Marshals data from a soap object to a given rmi object. This protected method is primarily used by marshaler classes to marshal members from a super-class marshaler.
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.

  - ### protectedRmiToSoap

    protected void protectedRmiToSoap(Object soapObject, Object rmiObject) throws SoapMarshalingException
    Unmarshals data from an rmi object to a given SOAP object. This protected method is primarily used by the marshaler classes to unmarshal members from a super-class marshaler.
    Parameters:
      `soapObject` - SOAP object.
      `rmiObject` - RMI object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.

  - ### getCoreService

    protected static com.collabnet.ctf.service.core.CoreService getCoreService()
    Returns the Core Service
    Returns:
      the core service